add possibility to determine alpha values in gradient color ramp start, end, and stops colors

2013-05-16 08:02 PM - Mathieu Pellerin - nIRV

Status: Closed

Priority: Normal

Assignee:

Category: Symbology

Pull Request or Patch supplied:No Resolution:

Easy fix?: No Copied to github as #: 16728

Description

It'd be very useful to be able to determine alpha values for the start, end, and stop(s) colors when building color ramps. That fit well with

recent efforts which brought alpha value attached to most color pickers throughout QGIS.

Associated revisions

Revision ff41a1d1 - 2013-05-19 02:50 PM - Nyall Dawson

[feature] Transparency support for raster color ramps (fix #7847)

History

#1 - 2013-05-16 09:37 PM - Mathieu Pellerin - nIRV

- % Done changed from 0 to 50

Nathan did it again with revision d472a8f4aa2214267c0b1dc743218f12f0bc3de0.

There's one limitation: alpha value will not apply to raster when using pseudocolor generated by a saved color ramp. Not sure whether this issue should be

closed or left open until raster is dealt with (or its decided that it won't be using ramp's alpha value).

#2 - 2013-05-19 05:51 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"ff41a1d186226962e1d8139166f0c727d03b4032".

#3 - 2013-05-19 06:06 AM - Mathieu Pellerin - nIRV

Thanks to both of you Nyall and Nathan.

#4 - 2013-05-19 11:04 PM - Mathieu Pellerin - nIRV

- % Done changed from 50 to 100
